## Apache Zeta Components Manual :: Docs For Class ezcWebdavAnonymousAuth

### Webdav::ezcWebdavAnonymousAuth

### Class ezcWebdavAnonymousAuth

Struct representing an anonymous user.

This struct is used to indicate a missing or non-parsable Authorization header. The user must be handled as if he was not authenticated. The $username is empty.

Source for this file: /Webdav/src/structs/anonymous_auth.php

    ezcBaseStruct
       |
       --ezcWebdavAuth
          |
          --ezcWebdavAnonymousAuth

Version: | //autogen//

### Inherited Member Variables

From ezcWebdavAuth
public | `ezcWebdavAuth::$username`

### Method Summary

public ezcWebdavAnonymousAuth | `__construct( )` Creates a new basic auth credential struct.

### Inherited Methods

From ezcWebdavAuth
public ezcWebdavAuth | `ezcWebdavAuth::__construct()` Creates a new credential struct.

### Methods

#### __construct

ezcWebdavAnonymousAuth __construct( )

Creates a new basic auth credential struct.

It is not possible to define a $username, since the anonymous user always has the $username ''.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavAuth::__construct()` | Creates a new credential struct.

Documentation generated by phpDocumentor 1.4.3